%% scanned target calibration

%%

clear
close all
rgb = imread('Scan_Pic0003.jpg');
%imshow(rgb);


%%

%imshow(rgb);
% [I3 RECT3] = imcrop;
% save pix2 RECT3

%%

load pix2
I3 = imcrop(rgb,RECT3);
imshow(I3);
im = im2double(rgb2gray(I3));
zm = 0.5;


%%

find_edges;


%%

dpi = 599.406; % value from ruler1 (no filtering)
dpmm = dpi/25.4;

xpos = ones(1,3);
for n = 1:3
    subplot(3,1,n);
    [x y] = getseg(seg(n),u,v,next);
    npts = length(y);
    xmean = mean(x);
    xpos(n) = xmean;
    x = x - xmean;
    c = polyfit(y,x,1);
    fprintf('n %d slope %g intercept %g\n',n,c);
    fprintf('mean x %g rms %g\n',xmean,std(x));
    ydx = [min(y) max(y)];
    plot(y,x,ydx,polyval(c,ydx));
end

%%

cal = diff(xpos)/dpmm;
fprintf('white square width %g mm, black square width %g mm\n',cal);
